> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a ticket's status

> Update support ticket status. <h3>OAuth</h3>Required scopes: <code>support</code>



## OpenAPI

````yaml /assets/openapi.json put /support/tickets/v1/{id}/status
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /support/tickets/v1/{id}/status:
    put:
      tags:
        - Support
      summary: Update a ticket's status
      description: >-
        Update support ticket status. <h3>OAuth</h3>Required scopes:
        <code>support</code>
      operationId: updateSupportTicketStatus
      parameters:
        - name: id
          in: path
          description: The id of the ticket.
          schema:
            type: string
            format: uuid
          required: true
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/updateSupportTicketStatus'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  activity:
                    $ref: '#/components/schemas/ticketActivity'
                  ticket:
                    $ref: '#/components/schemas/ticket'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - support
components:
  requestBodies:
    updateSupportTicketStatus:
      content:
        application/json:
          schema:
            type: object
            properties:
              ticket:
                description: Ticket status update.
                type: object
                properties:
                  status:
                    description: New status of the ticket.
                    type: string
                    enum:
                      - closed
                      - inProgress
                      - new
                      - solved
                required:
                  - status
            required:
              - ticket
      required: true
  schemas:
    ticketActivity:
      type: object
      properties:
        createDate:
          description: ISO timestamp of when the activity was created.
          type: string
          format: date-time
        data:
          description: Activity-specific payload.
          type: object
          properties:
            attachments:
              description: Comment attachments.
              type: array
              items:
                type: object
                properties:
                  height:
                    description: Image height in pixels.
                    type: number
                  key:
                    description: Storage key of the attachment.
                    type: string
                  mime:
                    description: MIME type of the attachment.
                    type: string
                  name:
                    description: File name of the attachment.
                    type: string
                  size:
                    description: File size in bytes.
                    type: number
                  url:
                    description: Public URL of the attachment.
                    type: string
                  width:
                    description: Image width in pixels.
                    type: number
                required:
                  - key
                  - mime
                  - name
                  - size
                  - url
                additionalProperties: false
            membershipAssignee:
              description: Assignee after the update.
              type: object
              properties:
                id:
                  description: Unique identifier of the membership.
                  type: string
                  format: uuid
                roleType:
                  description: Role type of the membership in the location.
                  type: string
                type:
                  description: Membership type.
                  type: string
                user:
                  description: User associated with the membership.
                  type: object
                  properties:
                    blocked:
                      description: Whether the user is blocked.
                      type: boolean
                    email:
                      description: Email address when visible to the caller.
                      type: string
                    id:
                      description: Unique identifier of the user.
                      type: string
                      format: uuid
                    name:
                      description: First name of the user.
                      nullable: true
                      type: string
                    phoneNumber:
                      description: Phone number when visible to the caller.
                      type: string
                    photoUrl:
                      description: Profile photo URL.
                      nullable: true
                      type: string
                    surname:
                      description: Surname of the user.
                      nullable: true
                      type: string
                  required:
                    - id
                    - photoUrl
                  additionalProperties: false
              required:
                - id
                - roleType
                - type
              additionalProperties: false
            previousAttributes:
              description: Previous attribute values before the update.
              type: object
              properties:
                membershipAssignee:
                  description: Assignee before the update.
                  type: object
                  properties:
                    id:
                      description: Unique identifier of the membership.
                      type: string
                      format: uuid
                    roleType:
                      description: Role type of the membership in the location.
                      type: string
                    type:
                      description: Membership type.
                      type: string
                    user:
                      description: User associated with the membership.
                      type: object
                      properties:
                        blocked:
                          description: Whether the user is blocked.
                          type: boolean
                        email:
                          description: Email address when visible to the caller.
                          type: string
                        id:
                          description: Unique identifier of the user.
                          type: string
                          format: uuid
                        name:
                          description: First name of the user.
                          nullable: true
                          type: string
                        phoneNumber:
                          description: Phone number when visible to the caller.
                          type: string
                        photoUrl:
                          description: Profile photo URL.
                          nullable: true
                          type: string
                        surname:
                          description: Surname of the user.
                          nullable: true
                          type: string
                      required:
                        - id
                        - photoUrl
                      additionalProperties: false
                  required:
                    - id
                    - roleType
                    - type
                  additionalProperties: false
                status:
                  description: Status before the update.
                  type: string
                  enum:
                    - closed
                    - inProgress
                    - new
                    - solved
              additionalProperties: false
            status:
              description: Status after the update.
              type: string
              enum:
                - closed
                - inProgress
                - new
                - solved
            text:
              description: Comment text.
              type: string
          additionalProperties: false
        id:
          description: Unique identifier of the activity.
          type: string
          format: uuid
        lemAI:
          description: Present when the activity was created by Lem AI.
          type: object
          properties:
            name:
              description: Display name of the Lem AI assistant.
              type: string
            photoUrl:
              description: Profile image URL of the Lem AI assistant.
              type: string
          required:
            - name
            - photoUrl
          additionalProperties: false
        membership:
          description: Membership of the user who performed the action.
          type: object
          properties:
            id:
              description: Unique identifier of the membership.
              type: string
              format: uuid
            roleType:
              description: Role type of the membership in the location.
              type: string
            type:
              description: Membership type.
              type: string
            user:
              description: User associated with the membership.
              type: object
              properties:
                blocked:
                  description: Whether the user is blocked.
                  type: boolean
                email:
                  description: Email address when visible to the caller.
                  type: string
                id:
                  description: Unique identifier of the user.
                  type: string
                  format: uuid
                name:
                  description: First name of the user.
                  nullable: true
                  type: string
                phoneNumber:
                  description: Phone number when visible to the caller.
                  type: string
                photoUrl:
                  description: Profile photo URL.
                  nullable: true
                  type: string
                surname:
                  description: Surname of the user.
                  nullable: true
                  type: string
              required:
                - id
                - photoUrl
              additionalProperties: false
          required:
            - id
            - roleType
            - type
          additionalProperties: false
        ticketRef:
          description: ID of the ticket.
          type: string
          format: uuid
        type:
          description: Type of ticket activity.
          type: string
          enum:
            - assigneeUpdated
            - comment
            - statusUpdated
            - ticketCreated
      required:
        - createDate
        - id
        - ticketRef
        - type
      additionalProperties: false
    ticket:
      type: object
      properties:
        createDate:
          description: ISO timestamp of when the ticket was created.
          type: string
          format: date-time
        description:
          description: Ticket description text.
          type: string
        id:
          description: Unique identifier of the ticket.
          type: string
          format: uuid
        locationRef:
          description: ID of the location.
          type: string
          format: uuid
        membershipAssignee:
          description: Assignee membership details.
          type: object
          properties:
            id:
              description: Unique identifier of the membership.
              type: string
              format: uuid
            roleType:
              description: Role type of the membership in the location.
              type: string
            type:
              description: Membership type.
              type: string
            user:
              description: User associated with the membership.
              type: object
              properties:
                blocked:
                  description: Whether the user is blocked.
                  type: boolean
                email:
                  description: Email address when visible to the caller.
                  type: string
                id:
                  description: Unique identifier of the user.
                  type: string
                  format: uuid
                name:
                  description: First name of the user.
                  nullable: true
                  type: string
                phoneNumber:
                  description: Phone number when visible to the caller.
                  type: string
                photoUrl:
                  description: Profile photo URL.
                  nullable: true
                  type: string
                surname:
                  description: Surname of the user.
                  nullable: true
                  type: string
              required:
                - id
                - photoUrl
              additionalProperties: false
          required:
            - id
            - roleType
            - type
          additionalProperties: false
        membershipRefAssignee:
          description: ID of the assignee membership.
          type: string
          format: uuid
        membershipRefRequester:
          description: ID of the requester membership.
          type: string
          format: uuid
        membershipRequester:
          description: Requester membership details.
          type: object
          properties:
            id:
              description: Unique identifier of the membership.
              type: string
              format: uuid
            roleType:
              description: Role type of the membership in the location.
              type: string
            type:
              description: Membership type.
              type: string
            user:
              description: User associated with the membership.
              type: object
              properties:
                blocked:
                  description: Whether the user is blocked.
                  type: boolean
                email:
                  description: Email address when visible to the caller.
                  type: string
                id:
                  description: Unique identifier of the user.
                  type: string
                  format: uuid
                name:
                  description: First name of the user.
                  nullable: true
                  type: string
                phoneNumber:
                  description: Phone number when visible to the caller.
                  type: string
                photoUrl:
                  description: Profile photo URL.
                  nullable: true
                  type: string
                surname:
                  description: Surname of the user.
                  nullable: true
                  type: string
              required:
                - id
                - photoUrl
              additionalProperties: false
          required:
            - id
            - roleType
            - type
          additionalProperties: false
        number:
          description: Ticket number within the location.
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        status:
          description: Ticket status.
          type: string
          enum:
            - closed
            - inProgress
            - new
            - solved
        statusUpdateDate:
          description: ISO timestamp of the last status change.
          type: string
          format: date-time
        type:
          description: Ticket category type.
          type: string
          enum:
            - access
            - accountAndBilling
            - bookings
            - cleaning
            - discriminationAndHarassment
            - internet
            - mailAndPackages
            - noiseAndAcoustics
            - offensiveOrObjectionableContent
            - other
            - printing
            - repairAndMaintenance
            - temperatureAndVentilation
            - websiteAndApp
        updateDate:
          description: ISO timestamp of the last update.
          type: string
          format: date-time
        userAssignee:
          description: Assignee user details.
          nullable: true
          type: object
          properties:
            blocked:
              description: Whether the user is blocked.
              type: boolean
            email:
              description: Email address when visible to the caller.
              type: string
            id:
              description: Unique identifier of the user.
              type: string
              format: uuid
            name:
              description: First name of the user.
              nullable: true
              type: string
            phoneNumber:
              description: Phone number when visible to the caller.
              type: string
            photoUrl:
              description: Profile photo URL.
              nullable: true
              type: string
            surname:
              description: Surname of the user.
              nullable: true
              type: string
          required:
            - id
            - photoUrl
          additionalProperties: false
        userRequester:
          description: Requester user details.
          nullable: true
          type: object
          properties:
            blocked:
              description: Whether the user is blocked.
              type: boolean
            email:
              description: Email address when visible to the caller.
              type: string
            id:
              description: Unique identifier of the user.
              type: string
              format: uuid
            name:
              description: First name of the user.
              nullable: true
              type: string
            phoneNumber:
              description: Phone number when visible to the caller.
              type: string
            photoUrl:
              description: Profile photo URL.
              nullable: true
              type: string
            surname:
              description: Surname of the user.
              nullable: true
              type: string
          required:
            - id
            - photoUrl
          additionalProperties: false
      required:
        - createDate
        - description
        - id
        - locationRef
        - number
        - status
        - type
        - updateDate
      additionalProperties: false
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read invoices
            invoices: Read and write invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````